version: '3.2'

services:

  search:
    image: docker.gitlab.gwdg.de/subugoe/archaeo18/archaeo18-docker/search:master
    environment:
# To be sure this is also forced in ./docker/search/Dockerfile
      - EXTRA_OPTIONS="-D configset.upload.enabled=false"

  images:
    image: docker.gitlab.gwdg.de/subugoe/archaeo18/archaeo18-docker/images:master

  data:
    image: docker.gitlab.gwdg.de/subugoe/archaeo18/archaeo18-docker/data:master

  web:
    image: docker.gitlab.gwdg.de/subugoe/archaeo18/archaeo18-docker/web:master
    build:
      context: .
      dockerfile: docker/web/Dockerfile
    environment:
      DEPLOY_HOST_NAME: heyne-digital.de

    ports:
      - '8082:80'

    volumes:
      - type: volume
        source: cache
        target: /cache
    entrypoint:
      - /opt/archaeo18/change-host.sh
      - .
      - heyne-digital.de
      - $ARCHAEO18_SCRIPTS/setup-nginx.sh "" /etc/archaeo18-nginx/site.prod.conf && $ARCHAEO18_SCRIPTS/change-scheme.sh . https://
      - nginx
      - -g
      - daemon off;
volumes:
  cache:
